//! AbleOS Kernel Entrypoint

pub fn kmain(cmdline: &str, initrd: Option<&'static [u8]>) -> ! {
    log::debug!("Entered kmain");

    // TODO: Actual cmdline parsing (Serde?)
    if cmdline.contains("baka=9") {
        let _ = crate::arch::log(format_args!(include_str!("../data/⑨. バカ")));
    }

    log::info!("Cmdline: \"{cmdline}\"");
    let initrd = initrd.expect("no initrd found");

    crate::arch::sloop()
}
